@import "../base/variable.scss";
@import "../base/mixins.scss";

.cms_pages_section{
     &.blog_detail_section{
        .blog_detail_area{
            padding-top: 80px;
            .blog_detail_content{
                a{
                    font-size: 18px;
                    color: $primary_color;
                    font-weight: 600;
                    i{
                        color: $black;
                        font-size: 18px;
                        margin-right: 10px;
                    }
                }
                h1{
                    font-size: 36px;
                    font-weight: 600;
                    margin-top: 30px;
                    margin-bottom: 20px;
                }
                .date{
                    font-size: 16px;
                    margin-bottom: 40px;
                    font-weight: 600;
                    color: $calender_border;
                    i{
                        margin-right: 2px;
                    }
                }
                .img_area{
                    border-radius: 20px;
                    overflow: hidden;
                    height: 415px;
                    img{
                        width: 100%;
                        height: 100%;
                        object-fit: cover;
                        max-width: 100%;
                    }
                    margin-bottom: 25px;
                }
            
                .content_box{
                    overflow: hidden;
                     p{
                        padding-bottom: 15px;
                        line-height: 26px;
                        font-size: 14px;
                        padding-top: 15px;
                        color: $black;
                        font-weight: 600;
                    }
                    span{
                        padding-left: 20px;
                        font-weight: 600;
                        font-size: 18px;
                        @include clearfix();
                        position: relative;
                        &::after{
                            position: absolute;
                            content: "";
                            left: 0;
                            top: 7px;
                            background-color: $black;
                            width: 7px;
                            height: 7px;
                            border-radius: 50%;
                        }
                    }
                    img{
                        width: auto;
                        max-width: 100%;
                    }
                    ul{
                        margin-bottom: 10px;
                        li{
                            padding: 2px 0px 2px 12px;
                            position: relative;
                            &:after{
                                position: absolute;
                                content: '';
                                top: 0;
                                left: 0;
                                height: 5px;
                                width: 5px;
                                border-radius: 50%;
                                margin-top: 9px;
                                
                            }
                            a{
                                color: $offfspra;
                                &:hover{
                                    color: $primary_color;
                                }
                            }
                        }
                    }
                    ol{
                        margin-left: -15px;
                        margin-bottom: 10px;
                        li{
                            padding: 2px 0px 2px 0px;
                            a{
                                color:$offfspra;
                                &:hover{
                                    color: $primary_color;
                                }
                            }
                        }
                    }
                }
                .share{
                    ul{
                        li{
                            display: inline-block;
                            padding-right: 10px;
                            font-size: 18px;
                            font-weight: 600;
                            color: $primary_color;
                            padding-top: 20px;
                            a{
                                color: $primary_color;
                                padding-right: 6px;
                            }
                        }
                    }
                }
            }
            .blog_sidebar{
                .tags_box{
                    color: $black;
                    padding-top: 0px;
                    h1{
                        font-weight: 600;
                        font-size: 56px;
                        color: $primary_color;
                    }
                    .new_posts{
                    ul{
                        margin-top: 40px;
                        li{
                            p{
                                border-bottom: 2px solid $border-gray;
                                padding-top: 10px;
                                padding-bottom: 10px;
                                font-weight: 600;
                                a{
                                    color: $black;
                                    font-size: 14px;
                                }
                            }
                        }
                    }
                    }
                }
            }
        }
}

.blog_section{
    &.related_blog_section{
        padding-top: 0;
        .blog_area{
            padding-top: 0;
            .blog_columns{
                padding-top: 0;
            }
        }
    }
   }
}

.frome-blog{
    .heading-lines{
        padding-bottom: 50px;
        h1{
            font-weight: 600;
            font-size: 56px;
            color: $primary_color;
        }
    }
}


/* Extra Huge large desktops */
@media (min-width: 1920px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1680px) and (max-width: 1919px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1600px) and (max-width: 1679px){
    
}

/* Extra large desktops and mac laptops*/
@media (min-width: 1400px) and (max-width: 1599px){
    
}

/* Landscape tablets and medium desktops */
@media (min-width: 992px) and (max-width: 1199px) {
    .cms_pages_section{
        padding: 70px 0;
        &.blog_detail_section{
           .blog_detail_area{
            .blog_detail_content{
                h1{
                    font-size: 40px;
                    font-weight: 600;
                    margin-top: 20px;
                    margin-bottom: 20px;
                }
                .date{
                    font-size: 16px;
                    margin-bottom: 40px;
                    font-weight: 600;
                    color: $calender_border;

                    i{
                        margin-right: 2px;
                    }
                }
                .img_area{
                  height: auto;
                }
            }
            .blog_sidebar{
                .tags_box{
                    color: $black;
                    padding-top: 0px;
                    h1{
                        font-weight: 600;
                        font-size: 50px;
                        color: $primary_color;
                    }
                    .new_posts{
                    ul{
                        margin-top: 20px;
                       }
                    }
                }
            }
        }
    }
      }
        .frome-blog{
            .heading-lines{
                padding-bottom: 30px;
                h1{
                    font-weight: 600;
                    font-size: 50px;
                    color: $primary_color;
                }
            }
        }
}

/* Landscape tablets and ipad */
@media (min-width: 768px) and (max-width: 991px) {
    .cms_pages_section{
        padding: 70px 0;
        &.blog_detail_section{
           .blog_detail_area{
            .blog_detail_content{
                h1{
                    font-size: 36px;
                    font-weight: 600;
                    margin-top: 20px;
                    margin-bottom: 20px;
                }
                .date{
                    font-size: 16px;
                    margin-bottom: 40px;
                    font-weight: 600;
                    color: $calender_border;

                    i{
                        margin-right: 2px;
                    }
                }
                .img_area{
                  height: auto;
                }
            }
            .blog_sidebar{
                .tags_box{
                    color: $black;
                    padding-top: 0px;
                    h1{
                        font-weight: 600;
                        font-size: 40px;
                        color: $primary_color;
                    }
                    .new_posts{
                    ul{
                        margin-top: 20px;
                       }
                    }
                }
            }
        }
    }
}
        .frome-blog{
            .heading-lines{
                padding-bottom: 30px;
                h1{
                    font-weight: 600;
                    font-size: 40px;
                    color: $primary_color;
                }
            }
        }
}



/* Landscape phones and portrait tablets */
@media (min-width: 576px) and (max-width: 767px) {
    .cms_pages_section{
        padding: 70px 0;
        &.blog_detail_section{
           .blog_detail_area{
            .blog_detail_content{
                h1{
                    font-size: 36px;
                    font-weight: 600;
                    margin-top: 20px;
                    margin-bottom: 20px;
                }
                .date{
                    font-size: 16px;
                    margin-bottom: 40px;
                    font-weight: 600;
                    color: $calender_border;

                    i{
                        margin-right: 2px;
                    }
                }
                .img_area{
                  height: auto;
                }
            }
            .blog_sidebar{
                .tags_box{
                    color: $black;
                    padding-top: 28px;
                    h1{
                        font-weight: 600;
                        font-size: 40px;
                        color: $primary_color;
                    }
                    .new_posts{
                    ul{
                        margin-top: 20px;
                       }
                    }
                }
            }
        }
    }
}
        .frome-blog{
            .heading-lines{
                padding-bottom: 30px;
                h1{
                    font-weight: 600;
                    font-size: 40px;
                    color: $primary_color;
                }
            }
        }
}

/* Landscape phones and portrait tablets */
@media (min-width: 361px) and (max-width: 575px) {
    .cms_pages_section{
        padding: 50px 0;
        &.blog_detail_section{
           .blog_detail_area{
            .blog_detail_content{
                h1{
                    font-size: 20px;
                    font-weight: 600;
                    margin-top: 15px;
                    margin-bottom: 14px;
                }
                .date{
                    font-size: 16px;
                    margin-bottom: 40px;
                    font-weight: 600;
                    color: $calender_border;

                    i{
                        margin-right: 2px;
                    }
                }
                .img_area{
                  height: auto;
                }
            }
            .blog_sidebar{
                .tags_box{
                    color: $black;
                    padding-top: 0px;
                    h1{
                        font-size: 32px;
                        padding-top: 30px;
                    }
                    .new_posts{
                    ul{
                        margin-top: 10px;
                       }
                    }
                }
            }
        }
    }
}
.frome-blog{
    .heading-lines{
        padding-bottom: 30px;
        h1{
            font-weight: 600;
            font-size: 32px;
            color: $primary_color;
        }
    }
}
}


/* Smaller phones */
@media (max-width: 360px) {
    .cms_pages_section{
        padding: 50px 0;
        &.blog_detail_section{
           .blog_detail_area{
            .blog_detail_content{
                h1{
                    font-size: 20px;
                    font-weight: 600;
                    margin-top: 15px;
                    margin-bottom: 14px;
                }
                .date{
                    font-size: 16px;
                    margin-bottom: 40px;
                    font-weight: 600;
                    color: $calender_border;

                    i{
                        margin-right: 2px;
                    }
                }
                .img_area{
                  height: auto;
                }
            }
            .blog_sidebar{
                .tags_box{
                    color: $black;
                    padding-top: 0px;
                    h1{
                        font-size: 32px;
                        padding-top: 30px;
                    }
                    .new_posts{
                    ul{
                        margin-top: 10px;
                       }
                    }
                }
            }
        }
    }
}
.frome-blog{
    .heading-lines{
        padding-bottom: 30px;
        h1{
            font-weight: 600;
            font-size: 32px;
            color: $primary_color;
        }
    }
}
}
/* Smaller phones */
@media (max-width: 320px) {
}